#!/bin/bash

# Defaults for openSUSE 10.3
GTK2_SYSCONFDIR=/etc
GTK2_DATADIR=/usr/share/themes/

# file used by kcm_gtk
GTK2_THEME_RC="$HOME/.gtkrc-2.0-kde4"

# GTK2
# NOTE: ~/.gtkrc-2.0-kde is added later (in latest KDE only)
if [ "$GTK2_RC_FILES" ]; then
  export GTK2_RC_FILES="$GTK2_RC_FILES:$GTK2_THEME_RC:$HOME/.gtkrc-2.0-qtengine:$HOME/.gtkrc-2.0"
else
  export GTK2_RC_FILES="$GTK2_SYSCONFDIR/gtk-2.0/gtkrc:$GTK2_THEME_RC:$HOME/.gtkrc-2.0-qtengine:$HOME/.gtkrc-2.0"
fi

# create the file if it doesn't exit
if [ ! -e "$GTK2_THEME_RC" ]; then
  # oxygen-molecule, the default
  if [ -e "$GTK2_DATADIR/Oxygen-Molecule/gtk-2.0/gtkrc" ] ; then
    THEME="Oxygen-Molecule"
  elif [ -e "$GTK2_DATADIR/QtCurve/gtk-2.0/gtkrc" ] ; then
    # use QtCurve engine
    THEME="QtCurve"
  elif [ -e "$GTK2_DATADIR/Qt/gtk-2.0/gtkrc" ] ; then
    # use general gtk-qt-engine
    THEME="Qt"
  fi
  if [ -n "$THEME" ]; then
    cp -f /usr/share/kde4/apps/kcm_gtk/gtkrc-2.0-kde4.template "$GTK2_THEME_RC"
    sed -i -e "s,@@THEME_NAME@@,$THEME," "$GTK2_THEME_RC"
  fi
fi
